<?php

global $smcFunc;

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s Settings.php.');

//List of tables in the DB
$tables = $smcFunc['db_list_tables']();

// We'll need a table to store user logins
// We only add it if it's not there already
if (!in_array('{db_prefix}log_logins', $tables))
{
	$columns = array(
		array(
			'name' => 'id_log',
			'type' => 'int',
			'size' => 8,
			'null' => false,
			'unsigned' => true,
			'auto' => true,
		),
		array(
			'name' => 'id_member',
			'type' => 'int',
			'default' => 0,
			'null' => false,
			'unsigned' => true,
		),
		array(
			'name' => 'date',
			'type' => 'int',
			'size' => 8,
			'default' => 0,
			'null' => true,
			'unsigned' => true,
		),
		array(
			'name' => 'action',
			'type' => 'varchar',
			'size' => 10,
			'default' => '',
			'null' => true,
		),
		array(
			'name' => 'ip',
			'type' => 'varchar',
			'size' => 20,
			'default' => '',
			'null' => true,
		),
	);

	$indexes = array(
		array(
			'type' => 'primary',
			'columns' => array('id_log'),
		),
	);

	$smcFunc['db_create_table']('{db_prefix}log_logins', $columns, $indexes, array(), 'ignore');
}
?>